Bug 440141 - Provide a tool which removes DS instances
Provide a tool which removes DS instances
Status: CLOSED NOTABUG
Product: Dogtag Certificate System
Classification: Community
Component: Tools - Java (Show other bugs)
1.0
All Linux
low Severity low
: 1.0
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-01 17:26 EDT by Matthew Harmsen
Modified: 2015-01-04 18:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 16:25:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
PKI remove DS instance script (4.10 KB, text/plain)
2008-04-18 17:00 EDT, Matthew Harmsen
no flags Details
32-bit CGI DS removal script (8.86 KB, text/plain)
2008-04-18 17:01 EDT, Matthew Harmsen
no flags Details
64-bit CGI DS removal script (8.86 KB, text/plain)
2008-04-18 17:02 EDT, Matthew Harmsen
no flags Details

  None (edit)
Description Matthew Harmsen 2008-04-01 17:26:42 EDT
To aid in building/rebuilding CS, two scripts have been provided:

* remove_default_pki_instances
* remove_pki_components

A similar tool should be provided to manage the removal of existing Directory
Server Instances which are used for the specific purpose of CS data storage.
Comment 1 Bob Lord 2008-04-02 18:11:18 EDT
Related to bug 440298?
Comment 2 Matthew Harmsen 2008-04-16 21:43:56 EDT
This script needs to work for BOTH 32-bit and 64-bit instances.
Comment 3 Matthew Harmsen 2008-04-18 17:00:52 EDT
Created attachment 302939 [details]
PKI remove DS instance script
Comment 4 Matthew Harmsen 2008-04-18 17:01:34 EDT
Created attachment 302940 [details]
32-bit CGI DS removal script
Comment 5 Matthew Harmsen 2008-04-18 17:02:19 EDT
Created attachment 302941 [details]
64-bit CGI DS removal script
Comment 6 Nathan Kinder 2008-04-18 17:09:09 EDT
The attachments look good.  A couple of very minor nits with the shell script:

- Make the strings that refer to Fedora Directory Server brand agnostic.
- Prepend "./" to the cgi that the shell script will call.
Comment 7 Matthew Harmsen 2008-04-18 17:20:24 EDT
Thanks to the Directory Server team for letting us "borrow" their scripts to
create our own PKI-specific scripts.  This will be addressed better by Bugzilla
Bug #442753, when Directory Server creates a removal script that is independent
of the Administration Server.

svn status | grep -v ^$ | grep -v ^? | grep -v ^P | grep -v ^X
A      linux/scripts/remove_ds_instance
A      linux/scripts/ds_remove_cgi_32
A      linux/scripts/ds_remove_cgi_64
Adding         linux/scripts/ds_remove_cgi_32
Adding         linux/scripts/ds_remove_cgi_64
Adding         linux/scripts/remove_ds_instance
Transmitting file data ...
Committed revision 29.
Comment 8 Matthew Harmsen 2008-04-18 17:30:51 EDT
Added a comment to the 
http://pki.fedoraproject.org/wiki/PKI_Components_Collectively_via_Subversion page
regarding the use of this script.
Comment 9 Chandrasekar Kannan 2008-08-26 20:27:57 EDT
Bug already MODIFIED. setting target CS8.0 and marking screened+
Comment 10 Jenny Galipeau 2009-06-15 15:59:11 EDT
the scripts exist in the source tree but are not installed.  Is this correct?
Comment 11 Nathan Kinder 2009-06-15 16:10:44 EDT
(In reply to comment #10)
> the scripts exist in the source tree but are not installed.  Is this correct?  

The remove-ds.pl script should be installed as of RHDS 8.1.

Note You need to log in before you can comment on or make changes to this bug.